@import url("https://jwt-sites-files.storage.googleapis.com/openy_themes/openy_carnation/dist/css/font.css");
@import url("https://jwt-sites-files.storage.googleapis.com/custom/ymcamissoula/codex-missoula.css");

/* Larger Main Menu Font Size */
.desktop .ws-main-menu-wrapper ul.row-level-1 li a { font-size: 19px; }

/* Center Statistics Text */
.small-y-statistics-block.bs-text-center .statistics-header--description { margin: 0 auto 3.5rem; }

/* Center and 100% width Accordions */
.block-layout-builder.block-accordion .block-accordion-row { flex-direction: column; }
.block-layout-builder.block-accordion .block-accordion-title, .block-layout-builder.block-accordion .accordion.with-label { width: 100%; }
.block-layout-builder.block-accordion .block-accordion-title { text-align: center; margin-bottom: 3rem !important; }

/* Custom Promo Banner */
.block-hero-banner.bg-image { background-color: rgba(0, 0, 0, 0.25) !important; background-blend-mode: darken; }
.block-hero-banner .hero__banner__promo .wrapper-content { min-height: 700px; }
.block-hero-banner .hero__banner__promo .wrapper-content > .hero_banner-content { max-width: none; }
.block-hero-banner .hero__banner__promo .banner-wrapper { background: none; }

.block-hero-banner .hero__banner__promo h2.block-title {
  font-size: 3.75rem;
  line-height: 100%;
  letter-spacing: -1px;
  text-transform: uppercase;
  font-weight: normal;
  font-family: "Cachet Bold";
  text-shadow: 0 3px 5px rgba(0, 0, 0, 0.25);
}

.block-hero-banner .hero__banner__promo .hero_banner-body {
  font-size: 1.35rem;
  line-height: 130%;
}

.block-hero-banner .hero__banner__promo .cta-link .btn {
  background-color: transparent !important;
  color: #FFF !important;
  border: 3px solid #FFF !important;
  padding: 0.75rem 2rem;
  letter-spacing: -0.5px;
}

/** Better Accordions Font **/
.layout-builder__layout .block-accordion .body.field-item h5 { text-transform: none; font-size: 1.25rem; }
.layout-builder__layout .block-accordion .body.field-item p, .layout-builder__layout .block-accordion .body.field-item ul, .layout-builder__layout .block-ping-pong-section .item-description ul { font-size: 18px; }
.layout-builder__layout .block-accordion .body.field-item ul li { margin: 2px 0;}

/** Custom Photo Accordions **/
.block-layout-builder.block-accordion .accordion-item .body > article { max-width: 45%; border-radius: 20px; overflow: hidden; }
.block-layout-builder.block-accordion .accordion-item .body > article.align-right { margin-left: 5%; }
.block-layout-builder.block-accordion .accordion-item .body > article.align-left { margin-right: 5%; }
@media screen and (max-width: 767px){ 
  .block-layout-builder.block-accordion .accordion-item .card-body .body > article { max-width: none; margin: 0 auto 2rem; width: calc(100% + 2rem); position: relative; left: 1rem; max-height: 350px; }  
  .block-layout-builder.block-accordion .accordion-item .card-body .body > article.align-left { left: -1rem; }

  /* Vertically center image within max-height container */
  .block-layout-builder.block-accordion .accordion-item .card-body .body > article .field-media-image { height: 350px; overflow: hidden; }
  .block-layout-builder.block-accordion .accordion-item .card-body .body > article .field-media-image img { width: 100%; height: 350px; object-fit: cover; object-position: center center; }
}

/** Show Banner Image on Mobile **/
@media (max-width: 767.98px) {
  .section-banner .hero__banner.hero__banner__sub_frame { display: flex; flex-direction: column; }
  .section-banner .hero__banner.hero__banner__sub_frame .hero_banner-image { order: 1; display: flex; position: relative; width: 100%; height: clamp(280px, 90vw, 350px); max-height: none; overflow: hidden; -webkit-mask-image: none; mask-image: none; }
  .section-banner .hero__banner.hero__banner__sub_frame .hero_banner-image img { width: 100%; height: 100%; object-fit: cover; object-position: center; }
  .section-banner .hero__banner.hero__banner__sub_frame .banner-wrapper { order: 2; margin-top: -8rem; }
  .section-banner .hero__banner.hero__banner__sub_frame .wrapper-content { width: min(90%, 56rem); max-width: none; margin-right: auto; margin-left: auto; }
  .section-banner .hero__banner.hero__banner__sub_frame .hero_banner-content .col { padding: 1.5rem 7%; } 
}

@media (min-width: 768px) and (max-width: 1199.98px) { .section-banner .hero__banner.hero__banner__sub_frame .hero_banner-image { display: flex;} }

/** Hide Breadcrumb on Homepage **/
body.path-frontpage .section-breadcrumbs { display: none; }

/** Better / Visible Banner Headings **/
.hero__banner.background-color .hero_banner-body :is(h2, h3, h4, h5, h6) { color: inherit; }

/** YouTube videos **/
.block-lb-table .video-embed-field-responsive-video { width: 80%; margin: 0 auto; border-radius: 15px; overflow: hidden; box-shadow: 0 2px 3px rgba(0,0,0,0.3); max-width: 800px; }

/** Video Banners **/
.video-banner .hero__banner .banner-wrapper, .video-banner .hero__banner .hero-banner-preloader, .video-banner .hero__banner #player-controls { display: none !important; }

/** Webforms **/
.block-lb-webform .lb-webform .form-item label { font-family: "Cachet Medium"; color: #6C6C6C; font-size: 1.2em; text-transform: none; }

/* Highlight all JWTECH links */
a[href*="jwtechdesign.com"] { color: red !important; font-weight: bold; }
.block-lb-node-share > a { color: var(--gray) !important; }